# subdirs
SUBDIRS = info

kde_module_LTLIBRARIES = libkcm_cdbosettings.la

INCLUDES = $(all_includes)

libkcm_cdbosettings_la_METASOURCES = AUTO

libkcm_cdbosettings_la_SOURCES = CdboAudioOpt.cpp CdboAudioOptBase.cpp CdboConfigManager.cpp CdboInfo.cpp CdboIsoOptBase.cpp CdboIsoOpt.cpp CdboDefaultOptBase.cpp CdboDefaultOpt.cpp CdboCdromDevicesBase.cpp CdboCdromDevices.cpp CdboBurnOptBase.cpp CdboBurnOpt.cpp CommandOutputDialog.cpp

libkcm_cdbosettings_la_LIBADD = $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) $(LIB_KFILE) $(LIB_KHTML)
libkcm_cdbosettings_la_LDFLAGS  = $(all_libraries) -module $(KDE_PLUGIN)




EXTRA_DIST = CdboAudioOpt.h CdboAudioOpt.cpp CdboAudioOptBase.h CdboAudioOptBase.cpp CdboConfigManager.cpp CdboConfigManager.h CdboInfo.cpp CdboInfo.h CdboIsoOptBase.cpp CdboIsoOptBase.h CdboIsoOpt.cpp CdboIsoOpt.h CdboDefaultOptBase.cpp CdboDefaultOptBase.h CdboDefaultOpt.cpp CdboDefaultOpt.h CdboCdromDevicesBase.cpp CdboCdromDevicesBase.h CdboCdromDevices.cpp CdboCdromDevices.h CdboCdromDevices.cpp CdboCdromDevices.h CdboBurnOptBase.cpp CdboBurnOptBase.h CdboBurnOpt.cpp CdboBurnOpt.h CommandOutputDialog.cpp CommandOutputDialog.h

KDE_ICON = cdrom_unmount

install-data-local:
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Settings/CDBakeOven
	$(INSTALL_DATA) $(srcdir)/directory.desktop $(DESTDIR)$(kde_appsdir)/Settings/CDBakeOven/.directory

data_DATA = cdbocdromdevices.desktop cdboburnopt.desktop cdboinfo.desktop cdboaudioopt.desktop cdboisoopt.desktop cdbodefaultopt.desktop
datadir = $(kde_appsdir)/Settings/CDBakeOven
